<?php
// -------------------------------------------
// kirby template FOR jannikbeyerstedt.de

// copyright: Jannik Beyerstedt | https://jannikbeyerstedt.de
// license: http://www.gnu.org/licenses/gpl-3.0.txt GPLv3 License
// -------------------------------------------

$children = $page->children();

snippet('base/html-head');
snippet('base/cont-header');
?>

<main class="section projects">
  <div class="container">
    <h1><?php echo $page->title()->kirbytext(); ?></h1>
    <?php echo $page->text()->kirbytext(); ?>
  </div>

  <div class="container"><div class="row">
    <?php $i=0; foreach($children as $c) : $i++; ?>
    <div class="col-sm-6 col-lg-3"><div class="card">
      <a href="<?php echo $c->url(); ?>">
      <?php if ($img = $c->images()->find($c->exrpt_img())) {
        echo ThumbExt($img, ['width'=>400,'quality'=>70,'class'=>"card-img-top",'inline-size'=>false]);
      } ?>
      <div class="card-block">
        <h5 class="card-title"><?php echo $c->title()->html(); ?></h5>
        <p class="card-text"><?php echo $c->exrpt_text()->kirbytext(); ?></p>
        <a href="<?php echo $c->url(); ?>" class="card-link">mehr</a>
      </div>
      </a>
    </div></div>
    <?php
      echo ($i%2 == 0)?'<div class="clearfix hidden-lg-up"></div>':'';
      echo ($i%4 == 0)?'<div class="clearfix hidden-md-down"></div>':''
    ?>
    <?php endforeach; ?>
  </div></div>
</main>

<?php snippet('base/cont-footer') ?>
<?php snippet('base/html-end', ["bs_util"=>1,
                                "bs_collapse"=>1]) ?>
